import fdb,os
from  datetime import date

from pathlib import Path
import time
import funkce

# Connect to the Firebird database
conn = fdb.connect(
    dsn=r'localhost:c:\medicus 3\data\medicus.fdb',  # Database path
    user='SYSDBA',  # Username
    password="masterkey",  # Password,
    charset="win1250")
cur = conn.cursor()

cur.execute("delete from dekurs where idpac=9742")
conn.commit()

print(funkce.zapis_dekurs(conn,cur,9742,2,6,2,3,"Příloha.pdf","test text",date(2023, 10, 15),date(2023, 10, 15)))
print(funkce.zapis_dekurs(conn,cur,9742,2,6,2,3,"Příloha.pdf","test text",date(2023, 10, 15),date(2023, 10, 15)))